Component({
  props: {
    type: '',
    items: [],
    timeStart: '',
    timeEnd: '',
    status: '',
    showStatus: false,
    onTypeTap: () => null,
    onTimeTap: () => null,
    onCardTap: () => null,
    onStatusTap: () => null,
    statusItems: [],
    defaultName: ''
  },
  data: {},

  didMount() {},

  methods: {
    onTypeTapHandel() {
      this.props.onTypeTap();
    },

    onTimeTapHandel() {
      this.props.onTimeTap();
    },

    onCardTapHandel() {
      this.props.onCardTap();
    },

    onStatusTapHandel() {
      this.props.onStatusTap();
    }

  }
});